Lichen

Annotated docs/wiki/Prerequisites

932:c07b0dd14f85
12 months ago Paul Boddie Moved integer instantiation support to library functions.
paul@810 1
= Prerequisites =
paul@810 2
paul@861 3
The software currently requires Python to operate. All recent development has
paul@861 4
been done using Python 2.7 which should be available for most operating system
paul@861 5
distributions. In future, Lichen will hopefully be compiled using its own
paul@861 6
toolchain and not require Python. See the Debian `python-minimal` or `python`
paul@861 7
packages or their equivalents.
paul@810 8
paul@861 9
To produce executable programs, a C compiler and GNU make are required. The GNU
paul@861 10
C compiler, GCC, has been used for development and testing, and it should be
paul@861 11
available in various forms for most operating system distributions. Indeed,
paul@861 12
cross-compiling form of GCC has been used to test the toolchain output. See the
paul@861 13
Debian `gcc` and `make` packages or their equivalents.
paul@810 14
paul@861 15
As Free Software, priority has been given to supporting Lichen on Free Software
paul@861 16
platforms, with Debian GNU/Linux being the development platform. Proprietary
paul@861 17
platforms are neither supported nor recommended.